## org.hibernate.bytecode.internal.javassist
Class FieldTransformer

    java.lang.Object
      org.hibernate.bytecode.internal.javassist.FieldTransformer

    public class FieldTransformer

extends Object

The thing that handles actual class enhancement in regards to intercepting field accesses.

Constructor Summary
`FieldTransformer()`
`FieldTransformer(FieldFilter f)`

Method Summary
`void` `setFieldFilter(FieldFilter f)`
`void` `transform(javassist.bytecode.ClassFile classfile)`
`void` `transform(File file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldTransformer

    public FieldTransformer()

### FieldTransformer

    public FieldTransformer(FieldFilter f)

Method Detail

### setFieldFilter

    public void setFieldFilter(FieldFilter f)

### transform

    public void transform(File file)
                   throws Exception

  Throws:
    `Exception`

### transform

    public void transform(javassist.bytecode.ClassFile classfile)
                   throws Exception

  Throws:
    `Exception`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.